# Academic Events Notebooks

These guides consist of the following three Jupyter notebooks:

* [**Part 1: Data Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/academic-events/part_1_data_engineering.ipynb) shows you how to call the Events API to extract the Academic Events data to a DataFrame.
* [**Part 2: Data Exploration**](https://github.com/predicthq/phq-data-science-docs/blob/master/academic-events/part_2_data_exploration.ipynb) is a guide to exploring PredictHQ's Academic Events data for Data Science teams.
* [**Part 3: Feature Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/academic-events/part_3_feature_engineering.ipynb) provides examples of how to aggregate and extract features from the data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/getting-started/guides/events-api-guides/academic-events-data-science-guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
